## mediaconch_17.01.1_AllInclusive.7z

=== MediaInfoLib/Project/CMake/CMakeLists.txt ===
project(MediaInfoLib)

cmake_minimum_required(VERSION 2.8.11)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

set(MediaInfoLib_MAJOR_VERSION 0)
set(MediaInfoLib_MINOR_VERSION 7)
set(MediaInfoLib_PATCH_VERSION 92)
set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION}.${MediaInfoLib_PATCH_VERSION})

if (NOT WIN32)
  option(BUILD_ZLIB "Build bundled zlib" OFF)
  option(BUILD_ZENLIB "Build bundled ZenLib" OFF)
else()
  option(BUILD_ZLIB "Build bundled zlib" ON)
  option(BUILD_ZENLIB "Build bundled ZenLib" ON)

  # FIXME: On Windows shared library is not compiling now.
  set(BUILD_SHARED_LIBS OFF)
endif()

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where library will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

if (NOT BUILD_ZENLIB)
  find_package(ZenLib REQUIRED)
else()
  set(_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})
  set(BUILD_SHARED_LIBS OFF)
  add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../../ZenLib/Project/CMake ${CMAKE_CURRENT_BINARY_DIR}/ZenLib)
  set(BUILD_SHARED_LIBS ${_BUILD_SHARED_LIBS})
  set(ZenLib_LIBRARY zen)
  unset(_BUILD_SHARED_LIBS)
  if(UNIX AND BUILD_SHARED_LIBS)
    target_compile_options(zen PRIVATE -fPIC)
  endif()
else()

endif()

if (NOT BUILD_ZLIB)
  find_package(ZLIB REQUIRED)
else()
  add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib ${CMAKE_CURRENT_BINARY_DIR}/zlib)
  get_target_property(ZLIB_LIBRARIES zlibstatic LOCATION)
  if(NOT BUILD_SHARED_LIBS)
    get_filename_component(ZLIB_LIBRARIES ${ZLIB_LIBRARIES} NAME)
    set(ZLIB_LIBRARIES "${LIB_INSTALL_DIR}/${ZLIB_LIBRARIES}")
  endif()
  if(UNIX AND BUILD_SHARED_LIBS)
    target_compile_options(zlibstatic PRIVATE -fPIC)
  endif()
  set(ZLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib)
endif()

if(NOT MSVC)
  set(MediaInfoLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/mediainfolib")
else()
  set(MediaInfoLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
endif()

set(MediaInfoLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)

# On Windows debug library should have 'd' postfix.
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
  set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

# use bundled tinyxml only if no system
find_package(TinyXML)

# use system curl if is present
find_package(CURL)

include_directories(${MediaInfoLib_SOURCES_PATH})
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/md5/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/base64/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha1-gladman/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha2-gladman/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/)
include_directories(${ZLIB_INCLUDE_DIRS})

set(MediaInfoLib_PUBLIC_HDRS
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Const.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Events.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfoDLL/MediaInfoDLL.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfoDLL/MediaInfoDLL_Static.h
)

set(MediaInfoLib_SRCS
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/md5/md5.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aes_modes.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aescrypt.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aeskey.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aestab.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha1-gladman/sha1.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha2-gladman/sha2.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/hmac.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/pwd2key.c
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Element.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Streams.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Streams_Finish.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Base.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__MultipleParsing.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Duplicate.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Dummy.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Other.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Unknown.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/HashWrapper.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_Automatic.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_MediaInfo.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_PerPackage.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_File.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Inform.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Internal.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList_Internal.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/TimeCode.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_7z.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Ace.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Bzip2.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Elf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Gzip.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Iso9660.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Mz.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Rar.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Tar.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Zip.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr_Ps.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_Main.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_Others.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ac3.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Adpcm.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Als.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ape.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Au.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Caf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Celt.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ChannelGrouping.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dts.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DolbyE.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ExtendedModule.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Flac.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ImpulseTracker.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_La.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Midi.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Module.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpc.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_MpcSv8.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpega.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_OpenMG.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Opus.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm_M2ts.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm_Vob.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ps2Audio.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Rkau.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ScreamTracker3.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0302.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0337.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0331.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Speex.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Tak.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Tta.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_TwinVQ.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Vorbis.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Wvpk.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate__Base.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate__Writer.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_EbuCore.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Fims.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Mpeg7.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore2.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_reVTMD.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_ArriRaw.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Bmp.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Bpg.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Dds.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Dpx.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Exr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Gif.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Ico.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Jpeg.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Pcx.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Png.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Psd.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Rle.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tiff.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tga.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Resource.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Sequence.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Aaf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ancillary.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Bdmv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Cdxa.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DashMpd.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpAm.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpCpl.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DcpPkl.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dpg.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DvDif_Analysis.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dvdv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Dxw.cpp

=== ZenLib/Project/CMake/CMakeLists.txt ===
project(ZenLib)

cmake_minimum_required(VERSION 2.8.11)

# Allow use of the LOCATION target property with CMake version >= 2.8.12
# Only use cmake policy if the policy is known
if(POLICY CMP0026)
  cmake_policy(SET CMP0026 OLD)
endif()

if(WIN32)
  option(BUILD_SHARED_LIBS "Build shared libs" OFF)
else()
  option(BUILD_SHARED_LIBS "Build shared libs" ON)
endif()

option(ENABLE_UNICODE "Enable unicode support" ON)

set(ZenLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)

set(ZenLib_MAJOR_VERSION "0")
set(ZenLib_MINOR_VERSION "4")
set(ZenLib_PATCH_VERSION "34")

set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")

# On Windows debug library should have 'd' postfix.
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
  set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

include(GNUInstallDirs)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_FULL_BINDIR}" CACHE STRING "Directory where binary will install")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}" CACHE STRING "Directory where library will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}" CACHE PATH "The directory the headers are installed in")

if(NOT MSVC)
  set(ZenLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/zenlib")
else()
  set(ZenLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
endif()

set(ZenLib_HDRS
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream.h
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream_Fast.h
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream_LE.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf_Internal.h
  ${ZenLib_SOURCES_PATH}/ZenLib/CriticalSection.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Dir.h
  ${ZenLib_SOURCES_PATH}/ZenLib/File.h
  ${ZenLib_SOURCES_PATH}/ZenLib/FileName.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/InfoMap.h
  ${ZenLib_SOURCES_PATH}/ZenLib/MemoryDebug.h
  ${ZenLib_SOURCES_PATH}/ZenLib/OS_Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/PreComp.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Thread.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Trace.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Translation.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Ztring.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringList.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListList.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListListF.h
  ${ZenLib_SOURCES_PATH}/ZenLib/int128s.h
  ${ZenLib_SOURCES_PATH}/ZenLib/int128u.h
  )

set(ZenLib_SRCS
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/CriticalSection.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Dir.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/File.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/FileName.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/InfoMap.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/int128s.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/int128u.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/MemoryDebug.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/OS_Utils.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Translation.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Thread.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Utils.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Ztring.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringList.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListList.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListListF.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.cpp
  )

add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS})
if(ENABLE_UNICODE)
  set(ZenLib_Unicode "yes")
  set(ZenLib_CXXFLAGS -DUNICODE)
  target_compile_definitions(zen PUBLIC UNICODE)
else()
  set(ZenLib_Unicode "no")
endif()

include(CheckTypeSize)
check_type_size(size_t SIZE_T_SIZE)
check_type_size(long LONG_SIZE)
if((LONG_SIZE GREATER 4) AND (SIZE_T_SIZE EQUAL LONG_SIZE))
  target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
endif()

target_include_directories(zen INTERFACE ${INCLUDE_INSTALL_DIR})
target_include_directories(zen PRIVATE ${ZenLib_SOURCES_PATH})

set_target_properties(zen PROPERTIES
  VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}
  SOVERSION ${ZenLib_MAJOR_VERSION}
  )

if(MSVC)
  get_target_property(LOCATION zen LOCATION_DEBUG)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS Debug)

  get_target_property(LOCATION zen LOCATION_RELWITHDEBINFO)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS RelWithDebInfo)
endif()

install(TARGETS zen EXPORT zen-export
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR})

install(EXPORT zen-export DESTINATION ${ZenLib_CONFIG_INSTALL_DIR} FILE ZenLibTargets.cmake)

foreach(HEADER ${ZenLib_HDRS})
  string(REPLACE ${ZenLib_SOURCES_PATH} "" DIR ${HEADER})
  string(REGEX REPLACE "/[^/]*$" "" DIR ${DIR})
  install(FILES ${HEADER} DESTINATION include/${DIR})
endforeach()

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

# pkg-config
if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libzen.pc.in
                 ${CMAKE_CURRENT_BINARY_DIR}/libzen.pc
                 @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libzen.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif()

# cmake-modules
include(CMakePackageConfigHelpers)
configure_package_config_file(
  ZenLibConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake"
  INSTALL_DESTINATION ${ZenLib_CONFIG_INSTALL_DIR}
  PATH_VARS BIN_INSTALL_DIR
            LIB_INSTALL_DIR
            INCLUDE_INSTALL_DIR)

write_basic_config_version_file(ZenLibConfigVersion.cmake VERSION ${ZenLib_VERSION_STRING} COMPATIBILITY AnyNewerVersion)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfigVersion.cmake
  DESTINATION ${ZenLib_CONFIG_INSTALL_DIR})

if(NOT TARGET uninstall)
  add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif()

=== MediaConch/debian/changelog ===
mediaconch (17.01-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

=== MediaInfoLib/debian/changelog ===
libmediainfo (0.7.92-1) experimental; urgency=medium

  * Upstream version 0.7.92
    For details, see https://github.com/MediaArea/MediaInfoLib/blob/master/History_DLL.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

libmediainfo (0.7.70-1) unstable; urgency=medium

  * [eff1e51] Imported Upstream version 0.7.70
  * [3253f5d] Update copyright file to include aes-gladman bits
  * [0fb5774] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 18 Sep 2014 19:01:31 +0800

libmediainfo (0.7.69-1) unstable; urgency=medium

  * [6b3a5a1] Imported Upstream version 0.7.69

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 05 May 2014 03:26:31 +0800

libmediainfo (0.7.68-1) unstable; urgency=medium

  * [eb215b4] Imported Upstream version 0.7.68

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 09 Apr 2014 02:13:18 +0800

libmediainfo (0.7.67-2) unstable; urgency=low

  * [6756a05] Re-add pkgconfig path to libmediainfo-dev.install

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 15 Jan 2014 20:39:24 +0800

libmediainfo (0.7.67-1) unstable; urgency=low

  * [40db143] Imported Upstream version 0.7.67
  * [e6819b5] No-change bump of Standards-Version to 3.9.5
  * [eda1a64] Fix pc file location not respecting multiarch paths

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 Jan 2014 03:02:39 +0800

libmediainfo (0.7.65-1) unstable; urgency=low

  * [a5f5c7f] Imported Upstream version 0.7.65
  * [e715bca] Drop fromdos command after dh_installdocs.
    The .txt files we used to install seem to have vanished.

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 26 Nov 2013 01:34:04 +0800

libmediainfo (0.7.64-3) unstable; urgency=low

  * [3ff3203] Install MediaInfoDLL.h for C bindings (Closes: #702993)
  * [551fb07] Add packages for python bindings
  * [29bf174] Use dh_python{2,3}
  * [7eda431] Install python modules

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 18 Aug 2013 03:49:45 +0800

libmediainfo (0.7.64-2) unstable; urgency=low

  * [40791b4] Update Homepage
  * [f9eb35b] Relicense debian/* under BSD-2-clause
  * [b9c78ab] Make libmediainfo-dev depend on libzen-dev.
    Its headers have some ZenLib includes, so libzen-dev is necessary.
    (LP: #1212569)
  * [62135a3] Add use of Requires: libzen into .pc

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 17 Aug 2013 03:13:53 +0800

libmediainfo (0.7.64-1) unstable; urgency=low

  * [3d2c4db] Imported Upstream version 0.7.64
  * [b7f14a1] Update copyright file

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Jul 2013 23:05:18 +0800

libmediainfo (0.7.63-1) unstable; urgency=low

  * [cd628ff] Imported Upstream version 0.7.63
  * [4d8e014] Enable some additional dependencies
  * [c1efa4c] Refresh patch
  * [702fe1a] Add patch to fix pkg-config missing error
  * [1f67600] Build-depend on libglib2.0-dev
    mms.pc depends on glib-2.0.pc, but libmms-dev doesn't depend on
    libglib2.0-dev. This can be dropped once libmms-dev is fixed.

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 May 2013 23:30:01 +0800

libmediainfo (0.7.62-1) experimental; urgency=low

  * [d63ebce] Imported Upstream version 0.7.62
  * [bf20076] No-change bump of Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Mar 2013 22:11:12 +0800

libmediainfo (0.7.61-1) experimental; urgency=low

  * [94f6dbd] Imported Upstream version 0.7.61
  * [360e5da] Refresh Drop-direct-linkage-of-libzen-in-.pc.patch

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 28 Oct 2012 04:58:26 +0800

libmediainfo (0.7.60-1) experimental; urgency=low

  * [4068ade] Imported Upstream version 0.7.60

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 04 Sep 2012 01:25:51 +0800

libmediainfo (0.7.59-1) experimental; urgency=low

  * [5c6d445] Bump libzen-dev build-dep version
  * [f80f420] Imported Upstream version 0.7.59

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 19 Aug 2012 20:12:33 +0800

libmediainfo (0.7.58-1) unstable; urgency=low

  * [7821ed5] Imported Upstream version 0.7.58

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 14:44:10 +0800

libmediainfo (0.7.57-1) unstable; urgency=low

  * [253bc4c] Imported Upstream version 0.7.57:
    - New features:
      + #3513490, Vorbis comment (Flac, Ogg): more tags are supported
      + XML-based formats (P2, XDCAM, DCP, ISM, HLS...): support of UTF-16
        encoding
      + MPEG-4: for buggy PCM, prioritizing the codec ID "in24" = 24-bit against
        the bit depth field
    - Upstream Bug fixes:
      + #3516900, Vorbis comment (Flac, Ogg): trying to do better mapping of
        PERFORMER and ARTIST tags
      + MXF: wrong video frame count in some cases
      + #3517374, GCC 4.7: compilation issues removal, thanks to SpepS
      + MPEG-PS: some files were not well demuxed so analysis was sometimes
        wrong (especially macroblock parsing)
  * [77978a5] Build-depend on libtinyxml2-dev
  * [41b551c] Update configure flag to --with-libtinyxml2
  * [22ad4d4] Update regex for ignored symbols
  * [1636c13] Call dpkg-gensymbols with -c4.
    We want to be as strict as possible to ensure that the symbols file is
    always up to date.

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 24 May 2012 21:16:58 +0800

libmediainfo (0.7.56-1) unstable; urgency=low

  * [49afb28] Imported Upstream version 0.7.56:
    - New features:
      + Better support of machines lacking of std::stringstream
      + Better support of machines requesting explicit stdc++ library link
        option (e.g. some ARM embedded devices)
      + AC-3: support of little endian streams
      + LXF: support of format version 0
      + HLS: support of .m3u8 index and sequence referencing a bunch of MPEG-TS
        files
      + MPEG-4: Added support of glbl atom and corresponding 4CC (ai12, ai15,
        ai1q, ai5q)
      + MPEG-4: Added detection of files with mx5p files wrongly filled with raw
        MPEG Video instead of MXF
      + MPEG-TS: Detection of 20-bit Dolby E even if the SMPTE 302 M header is


=== MediaConch/Project/GNU/PKGBUILD ===
# $Id$
# Maintainer: MediaArea.net SARL <info@mediaarea.net>
# This PKGBUILD is for OBS

pkgname=('mediaconch' 'mediaconch-server' 'mediaconch-gui')
pkgver=17.01
pkgrel=1
pkgdesc="Implementation checker and policy checker for video and audio files"
url="http://MediaArea.net/MediaConch"
license=('custom:MPL2' 'GPL3')
source=(${pkgname}_${pkgver}.orig.tar.xz)
md5sums=('00000000000000000000000000000000')
arch=('i686' 'x86_64')

# Buildtime dependencies for all packages need to be listed here
makedepends=('desktop-file-utils' 'libxml2' 'libxslt' 'sqlite' 'libevent' 'qt5-base' 'qt5-webkit' 'libzen>=0.4.34' 'libmediainfo>=0.7.92')
# OBS don't provide jansson
#makedepends=(${makedepends[@]} jansson)

prepare() {
    cd "${srcdir}"/MediaConch
    sed -i 's/.$//' *.txt *.html Release/*.txt

    cd "${srcdir}"/MediaConch/Project/GNU/CLI
    chmod u+x autogen.sh
    ./autogen.sh
    ./configure --prefix=/usr --without-jansson

    cd "${srcdir}"/MediaConch/Project/GNU/Server
    chmod u+x autogen.sh
    ./autogen.sh
    ./configure --prefix=/usr --without-jansson

    cd "${srcdir}"/MediaConch/Project/Qt
    chmod u+x prepare
    ./prepare NO_JANSSON=yes USE_WEBKIT=yes
}

build() {
    cd "${srcdir}"/MediaConch/Project/GNU/CLI
    make

    cd "${srcdir}"/MediaConch/Project/GNU/Server
    make

    cd "${srcdir}"/MediaConch/Project/Qt
    make
}

package_mediaconch() {
    pkgdesc="${pkgdesc} (CLI)"
    depends=('libxml2' 'libxslt' 'sqlite' 'libevent' 'libzen>=0.4.34' 'libmediainfo>=0.7.92')

    cd "${srcdir}"/MediaConch/Project/GNU/CLI
    make DESTDIR="${pkgdir}" install-strip

    cd "${srcdir}"/MediaConch
    install -D -m 0644 License.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.html
    install -D -m 0644 License.MPLv2.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.MPLv2.html
    install -D -m 0644 License.GPLv3.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.GPLv3.html

    install -D -m 0644 History_CLI.txt "${pkgdir}"/usr/share/docs/${pkgname}/History.txt
    install -D -m 0644 Release/ReadMe_CLI_Linux.txt "${pkgdir}"/usr/share/docs/${pkgname}/ReadMe.txt
}

package_mediaconch-server() {
    pkgdesc="${pkgdesc} (Server)"
    depends=('libxml2' 'libxslt' 'sqlite' 'libevent' 'libzen>=0.4.34' 'libmediainfo>=0.7.92')
    backup=('etc/mediaconch/MediaConch.rc')

    cd "${srcdir}"/MediaConch/Project/GNU/Server
    make DESTDIR="${pkgdir}" install-strip

    install -D -m 0644 MediaConch.rc "${pkgdir}"/etc/mediaconch/MediaConch.rc
    install -D -m 0644 mediaconchd.service "${pkgdir}"/usr/lib/systemd/system/mediaconchd.service

    cd "${srcdir}"/MediaConch
    install -D -m 0644 License.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.html
    install -D -m 0644 License.MPLv2.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.MPLv2.html
    install -D -m 0644 License.GPLv3.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.GPLv3.html

    install -D -m 0644 Documentation/Daemon.md "${pkgdir}"/usr/share/docs/${pkgname}/Daemon.md
    install -D -m 0644 Documentation/Config.md "${pkgdir}"/usr/share/docs/${pkgname}/Config.md
    install -D -m 0644 Documentation/REST.md "${pkgdir}"/usr/share/docs/${pkgname}/REST.md
}

package_mediaconch-gui() {
    pkgdesc="${pkgdesc} (GUI)"
    depends=('libxml2' 'libxslt' 'sqlite' 'libevent' 'qt5-base' 'qt5-webkit' 'libzen>=0.4.34' 'libmediainfo>=0.7.92')

    cd "${srcdir}"/MediaConch
    install -D -m 0755 Project/Qt/mediaconch-gui "${pkgdir}"/usr/bin/mediaconch-gui

    install -D -m 0644 Source/Resource/Image/MediaConch.png "${pkgdir}"/usr/share/icons/hicolor/256x256/apps/mediaconch.png
    install -D -m 0644 Source/Resource/Image/MediaConch.png "${pkgdir}"/usr/share/pixmaps/mediaconch.png

    desktop-file-install --dir="${pkgdir}"/usr/share/applications -m 0644 Project/GNU/GUI/mediaconch-gui.desktop

    install -D -m 0644 Project/GNU/GUI/mediaconch-gui.kde3.desktop "${pkgdir}"/usr/share/apps/konqueror/servicemenus/mediaconch-gui.desktop
    install -D -m 0644 Project/GNU/GUI/mediaconch-gui.kde4.desktop "${pkgdir}"/usr/share/kde4/services/ServiceMenus/mediaconch-gui.desktop
    install -D -m 0644 Project/GNU/GUI/mediaconch-gui.appdata.xml "${pkgdir}"/usr/share/appdata/mediaconch-gui.appdata.xml

    install -D -m 0644 License.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.html
    install -D -m 0644 License.MPLv2.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.MPLv2.html
    install -D -m 0644 License.GPLv3.html "${pkgdir}"/usr/share/licenses/${pkgname}/License.GPLv3.html

    install -D -m 0644 History_GUI.txt "${pkgdir}"/usr/share/docs/${pkgname}/History.txt
    install -D -m 0644 Release/ReadMe_GUI_Linux.txt "${pkgdir}"/usr/share/docs/${pkgname}/ReadMe.txt
}

=== MediaInfoLib/Project/GNU/PKGBUILD ===
# $Id$
# Maintainer: MediaArea.net SARL <info@mediaarea.net>
# Contributor: hydro <hydro@freenet.de>

pkgname=libmediainfo
pkgver=0.7.92
pkgrel=1
pkgdesc="shared library for mediainfo"
arch=('i686' 'x86_64')
url="http://mediaarea.net"
license=('GPL')
depends=( 'curl' 'libmms' 'libzen>=0.4.34')
makedepends=('libtool' 'automake' 'autoconf')
source=(${pkgname}_${pkgver}.orig.tar.xz)
md5sums=('00000000000000000000000000000000')

build() {
  cd $srcdir/MediaInfoLib/Project/GNU/Library
  sh ./autogen.sh
  ./configure --prefix=/usr --enable-shared --disable-static --with-libcurl --with-libmms
  make clean
  make
}

package() {
  cd $srcdir/MediaInfoLib/Project/GNU/Library
  make DESTDIR=$pkgdir install
  for i in MediaInfo MediaInfoDLL; do
    install -dm 755 $pkgdir/usr/include/$i
    install -m 644 $srcdir/MediaInfoLib/Source/$i/*.h $pkgdir/usr/include/$i
  done
}

=== MediaInfoLib/debian/control ===
Source: libmediainfo
Priority: optional
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               python-all (>= 2.6.6-3~),
               python3-all,
               dh-autoreconf,
               doxygen,
               tofrodos,
               libzen-dev (>= 0.4.34),
               libcurl4-gnutls-dev,
               libmms-dev,
               libglib2.0-dev,
               zlib1g-dev,
               pkg-config
Standards-Version: 3.9.6
Section: libs
Homepage: http://MediaArea.net/MediaInfo
Vcs-Git: https://github.com/MediaArea/MediaInfoLib.git
Vcs-Browser: https://github.com/MediaArea/MediaInfoLib

Package: libmediainfo-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen-dev,
         libmediainfo0 (= ${binary:Version}),
         ${misc:Depends}
Description: library reading metadata from media files -- headers
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the headers and other development support files needed
 for compiling and linking applications and libraries which use this library.

Package: libmediainfo0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libzen0 (>= 0.4.34)
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: python-mediainfodll
Section: python
Architecture: all
Depends: ${python:Depends}, libmediainfo0 (>= ${source:Version}),
         ${misc:Depends}
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Python 2.x module required for using this library
 from Python 2.x applications.

Package: python3-mediainfodll
Section: python
Architecture: all
Depends: ${python3:Depends}, libmediainfo0 (>= ${source:Version}),
         ${misc:Depends}
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Python 3.x module required for using this library
 from Python 3.x applications.

Package: libmediainfo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for reading metadata from media files -- documentation
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.

Package: libmediainfo0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libmediainfo0 (= ${binary:Version}), ${misc:Depends}
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the debugging symbols of this library.
